5.8      NTF Box

NTF Box is necessary in the project if we want to calculate the radiation patterns of radiating structures or scattering patterns of scattering objects irradiated by a plane wave. Please note that for correct radiation pattern extraction, the NTF box must fully surround the structure and be itself surrounded by a homogeneous medium terminated with absorbing boundaries (except for symmetry and ground planes).

The NTF button  in the Model tab and Model->NTF... command from main menu invoke Create NTF Box dialogue.


The NTF Box is necessary in the project if we want to calculate the radiation patterns of radiating structures or scattering patterns of scattering objects irradiated by a free space incident wave. Please note that for correct radiation pattern extraction, the NTF box must fully surround the structure and be itself surrounded by a homogeneous medium terminated with absorbing boundaries (except for symmetry and ground planes).

The NTF box name can be set in the Name field.

In the Geometry tab the user needs to define the dimensions of the NTF box. It can be done in two ways. First one is using Bounding Box Offset option, where the NTF box is drawn at the defined offset from the bounding box of the project structure. The offset is defined in project units for each direction and applies to each side from the structure.

Second solution is using Position option, where the user can choose Coordinates or Dimensions. While using Coordinates option the MinMax coordinates of the NTF box in each direction should be defined. For the Dimensions option, length, width, and height of the NTF box should be given together with the Min coordinates at which the box geometry starts.


In the Postprocessing frame two buttons, NTF Parameters and NTFFA Parameters are available. Pressing those buttons opens NTF Parameters… and NTFFA Parameters… allow passing to the Near To Far and NTF Fixed Angle post-processings dialogues, respectively, and configuring those post-processings.

In QuickWave the medium outside NTF box may be any isotropic dielectric. However, NTF box will not automatically recognise the medium parameters. They must be explicitly given in the NTF background medium frame.

 

It is advised to refer to Radiation and Scattering for more information.



Python code

The python code, which can be useful when creating project scripts, generated by Create NTF Box dialogue for default parameters:


from FreeCAD import Base

QW_Modeller.addQWObject("QW_Modeller::NTFBox","NTFBox")

App.ActiveDocument.NTFBox.OffsetX = 10.00000

App.ActiveDocument.NTFBox.OffsetY = 10.00000

App.ActiveDocument.NTFBox.OffsetZ = 10.00000

App.ActiveDocument.NTFBox.Length = 30.00000

App.ActiveDocument.NTFBox.Width = 30.00000

App.ActiveDocument.NTFBox.Height = 30.00000

App.ActiveDocument.NTFBox.Placement = Base.Placement(Base.Vector(5.00000,5.00000,5.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))

Gui.ActiveDocument.NTFBox.ShowText = True

Gui.ActiveDocument.NTFBox.TextSize = 14

App.ActiveDocument.recompute()

Gui.SendMsgToActiveView("ViewFit")